services:
  mc:
    build: .
    restart: always
    ports:
      - 25565:25565
      - 127.0.0.1:25575:25575
      - 8123:8123
    environment:
      - MIN_RAM=1G
      - MAX_RAM=2G
    volumes:
      - ./mc:/mc
    networks:
      docker-network:
        ipv4_address: 172.21.0.5

networks:
  docker-network:
    external: true
